## fwknop-gui 1.3%2Bdfsg

=== debian/control ===
Source: fwknop-gui
Section: net
Priority: optional
Maintainer: Franck Joncourt <franck.joncourt@gmail.com>
Build-Depends: debhelper (>= 9), cmake, libqrencode-dev, libfko3-dev, 
 libwxgtk3.0-dev, texinfo, libcurl4-openssl-dev, libgpgme11-dev, asciidoc, 
 libxml2-utils, docbook-xml, xsltproc, docbook-xsl
Standards-Version: 3.9.8
Homepage: https://incomsystems.biz/fwknop-gui

Package: fwknop-gui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FireWall KNock OPerator Graphical User Interface
 The FireWall KNock OPerator implements an authorization scheme called
 Single Packet Authorization (SPA), based on Netfilter and libpcap.
 .
 Its main application is to protect services such as OpenSSH with
 an additional layer of security in order to make the exploitation of
 vulnerabilities (both 0-day and unpatched code) much more difficult.
 .
 Fwknop GUI is a graphical user interface integrated with an Fwknop
 client that provides the ability to send SPA packets to a remote
 Fwknop server, as well as a front-end for creating and managing
 client configurations for multiple Fwknop servers.
 .
 It supports exporting saved configuration data to a QR code format
 readable by the Android client, as well as to the .fwknoprc format
 readable by the command line client.
