## fwknop-gui 1.3+dfsg

=== debian/changelog ===
fwknop-gui (1.3+dfsg-1build1) bionic; urgency=medium

  * No-change rebuild against libcurl4

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 28 Feb 2018 06:52:03 +0000

fwknop-gui (1.3+dfsg-1) unstable; urgency=medium

  * First Debian release.
    - Closes: #836688 - ITP: fwknop-gui -- Fwknop graphical user interface

 -- Franck Joncourt <franck.joncourt@gmail.com>  Sat, 10 Sep 2016 18:51:28 +0200
