=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: fwknop-gui
 Section: net
 Priority: optional
-Maintainer: Franck Joncourt <franck.joncourt@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Franck Joncourt <franck.joncourt@gmail.com>
 Build-Depends: debhelper (>= 9), cmake, libqrencode-dev, libfko3-dev, 
  libwxgtk3.0-dev, texinfo, libcurl4-openssl-dev, libgpgme11-dev, asciidoc, 
  libxml2-utils, docbook-xml, xsltproc, docbook-xsl
