=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg$//,repacksuffix=+dfsg \
  https://github.com/jp-bennett/fwknop-gui/tags .*/v?(\d\S*)-release\.tar\.gz
